﻿using System;
using System.Collections.Generic;
using System.Text;
using Docs.Excel;
using System.IO;

namespace SaveToStream
{
    class Program
    {
        static void Main(string[] args)
        {
            //Read .xls file.
            ExcelWorkbook workbook = ExcelWorkbook.ReadXLSX(@"..\..\..\Book1.xlsx");

            // Picure settings
            workbook.Worksheets[0].ConvertingOptions.SavePictureMode = SavePictureMode.Internal;

            //Save specified worksheet in stream.
            MemoryStream stream = workbook.Worksheets[0].WriteHTML(Encoding.Default);

            // Svae to file
            File.WriteAllBytes(@"..\..\..\Sample.html", stream.ToArray());
            System.Diagnostics.Process.Start(@"..\..\..\Sample.html");

        }
    }
}
