﻿using System;
using System.Collections.Generic;
using System.Text;
using Docs.Excel;
using System.IO;

namespace SaveToString
{
    class Program
    {
        static void Main(string[] args)
        {
            //Read .xls file.
            ExcelWorkbook workbook = ExcelWorkbook.ReadXLSX(@"..\..\..\Book1.xlsx");

            // Picure settings
            workbook.Worksheets[0].ConvertingOptions.SavePictureMode = SavePictureMode.Internal;

            //Save specified worksheet to string.
            string HtmlAsString = workbook.Worksheets[0].WriteHTML();

            // Svae to file
            File.WriteAllText(@"..\..\..\Sample.html", HtmlAsString);
            System.Diagnostics.Process.Start(@"..\..\..\Sample.html");
        }
    }
}
