﻿Imports System.Drawing
Imports Docs.Excel

Module Module1

    Sub Main()
        'Create a new workbook.
        Dim Workbook = New ExcelWorkbook()
        'Add a new worksheet to workbook.
        Workbook.Worksheets.Add("Sheet1")

        'Merged range.
        Workbook.Worksheets(0).Cells("B2:D4").IsMerged = True
        Workbook.Worksheets(0).Cells("B2").Value = "Sample"
        Workbook.Worksheets(0).Cells("B2").SetFillColorOfCell(Color.Yellow)
        Workbook.Worksheets(0).Cells("B2").Style.VerticalAlignment = TypeOfVAlignment.Center
        Workbook.Worksheets(0).Cells("B2").Style.HorizontalAlignment = TypeOfHAlignment.Center

        'XLS
        Workbook.WriteXLS("..\..\..\MergedCells.xls")

        'XLSX
        Workbook.WriteXLSX("..\..\..\MergedCells.xlsx")

        'Open specified file in MS Excel.
        System.Diagnostics.Process.Start("..\..\..\MergedCells.xlsx")

    End Sub

End Module
